%define module_name Statocles-AppRole-ExtraFeeds
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Beam/Emitter.pm) perl(Beam/Wire.pm) perl(CPAN/Meta/Requirements.pm) perl(Carp.pm) perl(Data/Dump.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Module/Metadata.pm) perl(Moo/Role.pm) perl(Package/Stash.pm) perl(Path/Tiny.pm) perl(Scalar/Util.pm) perl(Statocles/App.pm) perl(Statocles/App/Blog.pm) perl(Statocles/Page/List.pm) perl(Statocles/Test.pm) perl(Term/ANSIColor.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Types/Path/Tiny.pm) perl(constant.pm) perl(lib.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001003
Release: alt1
Summary: Generate additional feed sets for apps
Group: Development/Perl
License: perl
URL: https://github.com/kentnl/Statocles-AppRole-ExtraFeeds

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KE/KENTNL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is a role that can be applied to any `Statocles::App' in a `Statocles''s `Beam::Wire'
configuration.

  ...
  blog_app:
    class: 'Statocles::App::Blog'
    with: 'Statocles::AppRole::ExtraFeeds'
    args:
      url_root: '/blog'
      # ... more Statocles::App::Blog args
      extra_feeds:
        fulltext.rss:
          text: "RSS FullText"

This example creates a feed called `/blog/fulltext.rss' containing the contents of `theme/blog/fulltext.rss.ep'
after template application, and is linked from every `index' listing.

It also creates a feed called `/blog/tag/<%%= tagname %%>.fulltext.rss' for each tag, provisioned from the same template.

=for Pod::Coverage PATH_INDEX_PREFIX PATH_GENERIC_PREFIX
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/S*

%changelog
* Tue Dec 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.001003-alt1
- regenerated from template by package builder

* Thu Jun 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.001002-alt1
- initial import by package builder

